### Method

# Ide PersistentMap lookup_value

#### Declaration

    GVariant*
    ide_persistent_map_lookup_value (
      IdePersistentMap* self,
      const gchar* key
    )

#### Description

No description available.

Available since: | 3.32

#### Parameters

`key` | `const gchar*`
| Key to lookup value.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GVariant`
| Value associalted with `key`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.